<?php

// (Shirai075): fs_moodleの設定を表示するメニューをサイト管理に追加 (2008/07/21)

// ------------------------------------------------------------
pagecheck();
// ------------------------------------------------------------

function fsconfig_check_gradeSettings()
{
    print_section_header('評定に関する設定');

    print_subsection_header_fs_switch('FS_DISABLE_GRADE_ID2USERNAME');
    echo color_red('（この設定はMoodle1.9およびMoodle2.6以降で対応）');
    newline();
    echo '　標準のMoodleでは評定一覧の表示／出力において氏名に続いてIDナンバーを表示します．';
    echo 'ここで言うIDナンバーとはユーザーID（内部で管理している数字）ではなく，ユーザプロファイルの拡張要素の中のIDナンバーのことです．';
    echo 'IDナンバーの項目は必須入力項目ではないので設定していないサイトも多いでしょう．';
    echo 'それに対して，ユーザー名（ログイン時に入力するもの）に学籍番号や社員番号を用いている場合は多いでしょう．';
    echo 'また，必須入力項目でもありますので，表示／出力時に空欄になることはありません．';
    echo 'この設定が有効な場合，IDナンバーの代わりにユーザー名を出力します．';
    newline();
    echo '　なお，ここではIDナンバーの代わりに，という表現を用いていますが，IDナンバーの表示されない一覧表の場合は置換ではなく，単にユーザ名の列を追加します．';
    echo 'この改良は評定のみ，ではなく，実際には課題提出，小テストなど，さまざまな一覧表示に影響を与えます．';
    echo 'Moodle2ではファイルエクスポート時のユーザ情報の項目はサイト管理などの設定画面で追加した情報を設定にて追加可能です．画面表示にも同様の機能が追加されれば，この改良は不要となります．';
    print_fs_switch_condition('FS_DISABLE_GRADE_ID2USERNAME');
    print_subsection_footer();

    print_subsection_header_fs_switch('FS_DISABLE_ASSIGNMENT_BONENEADCHECK');
    echo '　学生が提出（アップロード）する課題の正当性をチェックする機能です．';
    echo 'きわめて幼稚な手段（ファイル名を変えて提出）しか検出できませんが，十分な抑止力になります．';
    echo '提出されたすべてのファイルの中から内容が完全に同一のものをリストアップして表示できます．';
    print_fs_switch_condition('FS_DISABLE_ASSIGNMENT_BONENEADCHECK');
    print_subsection_footer();
    print_section_footer();
}

fsconfig_check_gradeSettings();

?>